<!-- goodssClassSelect 商品分类选择 -->
<template>
  <el-cascader clearable  :options="options" :props="props" v-model="Classes"> </el-cascader>
</template>

<script>
export default {
  name: 'goodssClassSelect',
  props: {
    value: {
      type: String,
    },
    classes:{
        type:Array,
        default(){return []}
    }

  },
  data() {
    return {
      options: [],
      props: { value: 'id', label: 'name', children: 'children', checkStrictly: true },
      Classes:this.classes
    
    }
  },
  created() {
    this.init()
  },
  methods: {
    //初始化方法
    init() {
      this.getDataList()
    },
    getDataList() {
      this.m_api.goods_categories().then(res => {
        this.options = res.data
      })
    },

  },
  watch: {
    Classes: {
      handler(valueArray) {
        let len = valueArray.length
        let value = valueArray[len - 1]
        this.$emit('input', value)

      },
      deep: true,
      immediate: true
    }
  }
}

</script>
<style lang='scss' scoped>
</style>